#ifndef LOQMACRO_H
#define LOQMACRO_H

/*
#define LoQ_PROPERTY(type, name) \
public slots: type get##name() const        { return m_##name; } \
public slots: void set##name(const type &a) { m_##name = a; } \
signals:      void name##Changed(const type &); \
private: \
    Q_PROPERTY(type name MEMBER m_##name READ get##name WRITE set##name NOTIFY name##Changed) \
    type m_##name;
*/

#endif // LOQMACRO_H
